# use "--with gmail" as rpmbuildparameter to add gmail Support (requires FC3 Core package) 

Name:           mail-notification
Epoch:          0
Version:        1.0
Release:        0.fdr.1.2
Summary:        Mail Notification is a status icon that informs you if you have new mail.

Group:          Applications/Internet
License:        GPL
URL:            http://www.nongnu.org/mailnotify/
Source0:        http://savannah.nongnu.org/download/mailnotify/mail-notification-1.0.tar.gz
Source1:        mail-notification-README.FEDORA
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gettext >= 0:0.14.1
BuildRequires:  eel2-devel >= 0:2.0
BuildRequires:  desktop-file-utils
BuildRequires:  scrollkeeper
BuildRequires:	openssl-devel  >= 0:0.9.5b
BuildRequires:	cyrus-sasl-devel >= 0:2.0
BuildRequires:	gmime-devel >= 0:2.1
%if 0%{?_with_gmail:1}
BuildRequires:	libsoup-devel >= 0:2.2.1
BuildRequires:	gnutls-devel >= 0:1.0.20
BuildRequires:	libgcrypt-devel >= 0:1.2.0
%endif

Requires(post):   GConf2
Requires(post):   scrollkeeper
Requires(preun):  GConf2
Requires(postun): scrollkeeper

%description
Mail Notification is a status icon (aka tray icon) that informs you if you 
have new mail. It works with system trays implementing the freedesktop.org
System Tray Specification, such as the GNOME Panel Notification Area, the 
Xfce Notification Area and the KDE System Tray.


%prep
%setup -q
cp %{SOURCE1} ./README.FEDORA
 


%build
%configure %{?!_with_gmail:--disable-gmail} 
make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT
# For GConf apps: prevent schemas from being installed at this stage
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install --vendor fedora                   \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --delete-original                                    \
  --add-category X-Fedora                              \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/mail-notification.desktop



%clean
rm -rf $RPM_BUILD_ROOT


%post
# For GConf apps: install schemas as system default
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null ||:
/usr/bin/scrollkeeper-update -q ||:

%preun
# For GConf apps: uninstall app's system default schemas
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :


%postun
/usr/bin/scrollkeeper-update -q ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO README.FEDORA
%{_sysconfdir}/gconf/schemas/mail-notification.schemas
%{_sysconfdir}/sound/events/mail-notification.soundlist
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_MailNotification_Automation.server
%{_datadir}/%{name}
%{_datadir}/control-center-2.0/capplets/mail-notification-properties.desktop
%{_datadir}/gnome/help/mail-notification/
%{_datadir}/omf/mail-notification/mail-notification-C.omf
%{_datadir}/pixmaps/mail-notification.png
%{_datadir}/applications/fedora-mail-notification.desktop


%changelog
* Tue Nov 25 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:1.0-0.fdr.1
- update to 1.0

* Tue Nov 16 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.99-0.fdr.1
- update to 0.99
- rename mail-notfication-README.FEDORA to mail-notification-README.FEDORA
- Add BR gnutls-devel and libgcrypt-devel for gmail build

* Tue Nov 09 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.1-0.fdr.3
- trim build comment
- own _datadir/gnome/help/mail-notification/ 
- rename SOURCE1 from README.FEDORA to mail-notfication-README.FEDORA


* Sat Nov 06 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.1-0.fdr.2
- Really remove "killall bonobo-activation-server"; Add a README.FEDORA 
  which descibes the problem. 
- Spilt post,preun,postun sections
- Use --with gmail to build for FC3 with gmail-support

* Thu Nov 04 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.1-0.fdr.1
- Update to 0.8.1

* Thu Nov 04 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.0-0.fdr.1
- Update to 0.8.0

* Sun Oct 28 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.7.1-0.fdr.1
- Update to 0.7.1
- BR gettext

* Sun Oct 17 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.7.0-0.fdr.1
- Update to 0.7.0
- Add gmime dependency
- No gmailsupport until FC3
- Removed "killall bonobo-activation-server" again -- bad idea it seems

* Tue Sep 14 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.6.2-0.fdr.1
- Update to 0.6.2
- After talkback with program author added "killall bonobo-activation-server" 
  to post section

* Sun Aug 29 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.6.1-0.fdr.1
- Initial RPM release.
